AI Music API
Home
Home
  1. sonic
  • Introduction
  • Credits Usage Guide
  • AI Music API FAQ & Troubleshooting
  • Special Scenarios
  • Error handling
  • Webhook Integration Guide
  • sonic
    • Sonic Instructions
    • create / extend / cover music
      POST
    • upload and extend music
      POST
    • upload and cover music
      POST
    • create persona
      POST
    • sample
      POST
    • mashup
      POST
    • get BPM
      POST
    • get VOX
      POST
    • get wav
      POST
    • get midi
      POST
    • get lyrics timeline
      POST
    • upsample tags
      POST
    • concat music
      POST
    • stems basic
      POST
    • stems full
      POST
    • remaster
      POST
    • replace section
      POST
    • add vocal
      POST
    • add instrumental
      POST
    • upload music
      POST
    • get music
      GET
  • riffusion(Deprecated)
    • Riffusion instructions
    • create music (with lyrics)
    • create music (with description)
    • cover music
    • extend music
    • replace music section
    • swap music sound
    • swap music vocals
    • upload
    • get music
  • producer
    • Producer Instructions
    • Complete Request Example
    • create music
    • upload
    • download
    • get music
  • nuro
    • Nuro Instruction
    • Error handling
    • create vocal music
    • create instrument music
    • get music
  • lyrics generation
    • Make Lyrics
  • get-credits
    GET
  • Schemas
    • 记录不存在
    • 参数不正确
Home
Home
  1. sonic

remaster

POST
https://api.aimusicapi.ai/api/v1/sonic/create
Remaster the generated music, It is recommended to use clip id generated within 24 hours whenever possible.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/json

Example
{
    "mv":"chirp-v5",
    "task_type":"remaster",
    "continue_clip_id":"87a5e80c-00bd-4448-998d-a669e77d8ef4",//new clip id in 24h
    "variation_category":"subtle"  
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.aimusicapi.ai/api/v1/sonic/create' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "mv":"chirp-v5",
    "task_type":"remaster",
    "continue_clip_id":"87a5e80c-00bd-4448-998d-a669e77d8ef4",//new clip id in 24h
    "variation_category":"subtle"  
}'

Responses

🟢200Success
application/json
Body

Example
{
    "message": "success",
    "task_id": "aac70c26-c633-4d0c-880f-91610006f9b5"
}
Modified at 2025-12-25 06:42:39
Previous
stems full
Next
replace section
Built with